#!/bin/sh
##### INDEX #####
## sed.*.sh -t $VERSION ${lang_LANG} 
#

if [ $TRANS_WIN = "1" ]; then

else echo
echo "translating for Windows...Skip."
fi
    --muf | --make-unix-extra-files)
### unix: extra options
	echo
	echo "* 2210-Unix: copy more files for extra functions..."

## fix GLOBAL gedit-2 bad encondings
	echo
	echo "* copy $3/%gconf-tree.xml for gedit-2..."	
  if [ -e $CAREONE_PATH/etc/gconf/gconf.xml.defaults/$3/%gconf-tree.xml ];then
  	if ! [ -d ~/${NAME_LOWER}-locale/etc/gconf/gconf.xml.defaults/$3 ];then
  		mkdir -p ~/${NAME_LOWER}-locale/etc/gconf/gconf.xml.defaults/$3/
  	fi
  	cp -pfv $CAREONE_PATH/etc/gconf/gconf.xml.defaults/$3/%gconf-tree.xml ~/${NAME_LOWER}-locale/etc/gconf/gconf.xml.defaults/$3/%gconf-tree.xml
  	else echo -n "Error: no $3/%gconf-tree.xml found in"
  	echo " $CAREONE_PATH/etc/gconf/gconf.xml.defaults/ . Skip."
  fi	

## fix USER gedit-2 bad encodings
	echo
	echo "* copy $3/%gconf.xml for gedit-2..."	
  if [ -e $CAREONE_PATH/usr/share/gedit-2/dot_gconf/apps/gedit-2/preferences/encodings/$3/%gconf.xml ];then
  	if ! [ -d ~/.gconf/apps/gedit-2/preferences/encodings/$3/ ];then
  		mkdir -p ~/${NAME_LOWER}-locale/usr/share/gedit-2/dot_gconf/apps/gedit-2/preferences/encodings/$3/
  	fi
   	cp -pfv $CAREONE_PATH/usr/share/gedit-2/dot_gconf/apps/gedit-2/preferences/encodings/$3/%gconf.xml ~/${NAME_LOWER}-locale/usr/share/gedit-2/dot_gconf/apps/gedit-2/preferences/encodings/$3/
  	else echo -n "Error: no $3/%gconf.xml found in"
	echo -n "$CAREONE_PATH/usr/share/gedit-2/dot_gconf/apps/gedit-2/preferences/"
  	echo "encodings/ . Skip."
  fi

## fix GLOBAL VI/VIM/GVIM bad encodings
	echo
	echo "* copy /etc/vim/$3/vimrc.local for VI/VIM..."	
  if [ -e $CAREONE_PATH/etc/vim/$3/vimrc.local ];then
  	if ! [ -d ~/${NAME_LOWER}-locale/etc/vim/$3/ ];then
  		mkdir -p ~/${NAME_LOWER}-locale/etc/vim/$3/
  	fi
   	cp -pfv $CAREONE_PATH/etc/vim/$3/vimrc.local ~/${NAME_LOWER}-locale/etc/vim/$3/
  	else echo "Error: no $CAREONE_PATH/etc/vim/$3/vimrc.local found. Skip."
   fi
  
## fix USER VI/VIM/GVIM bad encodings
	echo
	echo "* copy /etc/vim/$3/gvimrc.local for GVIM..."	
  if [ -e $CAREONE_PATH/etc/vim/$3/gvimrc.local ];then
  	if ! [ -d ~/${NAME_LOWER}-locale/etc/vim/$3/ ];then
  		mkdir -p ~/${NAME_LOWER}-locale/etc/vim/$3/
  	fi
   	cp -pfv $CAREONE_PATH/etc/vim/$3/gvimrc.local ~/${NAME_LOWER}-locale/etc/vim/$3/
  	else echo "Error: no $CAREONE_PATH/etc/vim/$3/gvimrc.local found. Skip."
   fi

## --set-fcitx-font
	echo
	echo "* copy /usr/share/fcitx/data/config.default for FCITX Chinese input method..."	
  if [ -e $CAREONE_PATH/usr/share/fcitx/data/config.default ];then
  	if ! [ -d ~/${NAME_LOWER}-locale/usr/share/fcitx/data/ ];then
  		mkdir -p ~/${NAME_LOWER}-locale/usr/share/fcitx/data/
  	fi
   	cp -pfv $CAREONE_PATH/usr/share/fcitx/data/config.default ~/${NAME_LOWER}-locale/usr/share/fcitx/data/
  	else echo "Error: no $CAREONE_PATH/usr/share/fcitx/data/config.default found. Skip."
   fi
### unix extra end
    	
## 2301-Unix 
echo
echo "* 2301-Unix: copy script bin/emacs-locale to usr/local/bin/emacs-locale.$3 ..."
if [ -e $LOCAL_BIN_PATH/emacs-locale ];then
    if ! [ -d ~/${NAME_LOWER}-locale/$LOCAL_BIN_PATH/ ];then
	mkdir -p ~/${NAME_LOWER}-locale/$LOCAL_BIN_PATH/
    fi	
	cp -pvf $LOCAL_BIN_PATH/emacs-locale ~/${NAME_LOWER}-locale/$LOCAL_BIN_PATH/emacs-locale.$3
	else echo "Error: no file 'emacs-locale' found in $LOCAL_BIN_PATH/ . Skip."
fi


## 2311 
	echo
	echo "* 2311-Unix: copy emacs-locale/$3/* and more... "
	if ! [ -d ~/${NAME_LOWER}-locale/$EMACS_LOCALE_PATH/$3/src/DEBIAN/ ];then
		mkdir -p ~/${NAME_LOWER}-locale/$EMACS_LOCALE_PATH/$3/src/DEBIAN/
	fi

# copy ChangeLog, emacs-trans-sign and more
if [ -d $EMACS_LOCALE_PATH/$3/ ];then
	cp -pfv $EMACS_LOCALE_PATH/$3/* ~/${NAME_LOWER}-locale/$EMACS_LOCALE_PATH/$3/

  if [ -d $EMACS_LOCALE_PATH/$3/src/ ];then
	cp -pfv $EMACS_LOCALE_PATH/$3/src/* ~/${NAME_LOWER}-locale/$EMACS_LOCALE_PATH/$3/src/

# copy DEBIAN/control and more
	if [ -d $EMACS_LOCALE_PATH/$3/src/DEBIAN/ ];then
	cp -pfv $EMACS_LOCALE_PATH/$3/src/DEBIAN/* ~/${NAME_LOWER}-locale/$EMACS_LOCALE_PATH/$3/src/DEBIAN/
	fi
  fi
fi
	
	exit 0 ;;


    --cw | --copy-windows-files)
	
	exit 0 ;;

